summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2012-11-30 11:43:14 +0000
committerMichał Górny <mgorny@gentoo.org>2012-11-30 11:43:14 +0000
commitaa8a8153e906c02a61a2a801da5e06ddc8bab372 (patch)
tree477b5846e0a09e1c77f56125f85c61fcb5051f71 /eclass/python-utils-r1.eclass
parentMake python-single-r1 stand-alone, and blocking python-r1. (diff)
downloadhistorical-aa8a8153e906c02a61a2a801da5e06ddc8bab372.tar.gz
historical-aa8a8153e906c02a61a2a801da5e06ddc8bab372.tar.bz2
historical-aa8a8153e906c02a61a2a801da5e06ddc8bab372.zip
Support all EAPIs.
Diffstat (limited to 'eclass/python-utils-r1.eclass')
-rw-r--r--eclass/python-utils-r1.eclass11
1 files changed, 4 insertions, 7 deletions
diff --git a/eclass/python-utils-r1.eclass b/eclass/python-utils-r1.eclass
index caf32c13b8bd..8a3f0c9438d2 100644
--- a/eclass/python-utils-r1.eclass
+++ b/eclass/python-utils-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python-utils-r1.eclass,v 1.4 2012/11/30 11:40:15 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python-utils-r1.eclass,v 1.5 2012/11/30 11:43:14 mgorny Exp $
# @ECLASS: python-utils-r1
# @MAINTAINER:
@@ -21,10 +21,7 @@
# http://www.gentoo.org/proj/en/Python/python-r1/dev-guide.xml
case "${EAPI:-0}" in
- 0|1|2|3)
- die "Unsupported EAPI=${EAPI:-0} (too old) for ${ECLASS}"
- ;;
- 4|5)
+ 0|1|2|3|4|5)
# EAPI=4 makes die behavior clear
;;
*)
@@ -410,7 +407,7 @@ python_doscript() {
local newfn=${oldfn}-${EPYTHON}
debug-print "${FUNCNAME}: ${oldfn} -> ${newfn}"
- newins "${f}" "${newfn}"
+ newins "${f}" "${newfn}" || die
_python_rewrite_shebang "${D}/${d}/${newfn}"
# install the wrapper
@@ -488,7 +485,7 @@ python_domodule() {
local INSDESTTREE
insinto "${d}"
- doins -r "${@}"
+ doins -r "${@}" || die
python_optimize "${D}/${d}"
}